<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="NPOI">
            <Version>2.5.6</Version>
        </PackageReference>
        <PackageReference Include="System.Collections.Immutable" Version="7.0.0" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\3rdPartyLibs\roslynpad\src\RoslynPad.Roslyn\RoslynPad.Roslyn.csproj" />
        <ProjectReference Include="..\InABox.Core\InABox.Core.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Compile Remove="archive\**" />
        <Compile Remove="InABox.Scripting\**" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Remove="archive\**" />
        <EmbeddedResource Remove="InABox.Scripting\**" />
    </ItemGroup>

    <ItemGroup>
        <None Remove="archive\**" />
        <None Remove=".gitignore" />
        <None Remove="InABox.Scripting\**" />
    </ItemGroup>

</Project>
